# Descriptor Enrollment List

## POST /txalerts/descriptor\_enrollments

>

```json
{"openapi":"3.0.1","info":{"title":"TxShield api V3.0","version":"3.0"},"tags":[{"name":"Alerts","description":"Call related to alerts in txshield core."}],"servers":[{"url":"<?=PROTOCOL?>://<?=SITE_DOMAIN?>/api/v3"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"AlertDescriptorEnrollmentsList":{"type":"object","properties":{"list":{"type":"array","items":{"$ref":"#/components/schemas/AlertDescriptorEnrollmentsListItem"}},"totalResult":{"type":"integer"}}},"AlertDescriptorEnrollmentsListItem":{"type":"object","properties":{"enrollment_request_id":{"type":"integer"},"merchant_name":{"type":"string"},"site_name":{"type":"string"},"products":{"type":"string"},"status":{"type":"string"},"request_date":{"type":"string"},"last_activity":{"type":"string"},"completed_at":{"type":"string"},"enrollment_items":{"type":"array","items":{"type":"object","properties":{"descriptor":{"type":"string"},"provider":{"type":"string"},"status":{"type":"string"},"last_activity":{"type":"string"},"match_type":{"type":"string","description":"match_type only exist if provider has Ethoca or CDRN"},"mcc":{"type":"string","description":"mcc only exist if provider has RDR"},"visa_bin":{"type":"string","description":"visa_bin only exist if provider has RDR"},"visa_caid":{"type":"string","description":"visa_caid only exist if provider has RDR"},"visa_arn":{"type":"string","description":"visa_arn only exist if provider has RDR"},"rdr_ruleset":{"type":"string","description":"rdr_ruleset only exist if provider has RDR"}}}}}},"Error":{"type":"object","properties":{"msg":{"type":"string"},"details":{"type":"string"}}}}},"paths":{"/txalerts/descriptor_enrollments":{"post":{"tags":["Alerts"],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"status":{"type":"array","description":"Descriptor enrollment status. Values can be any of the following PENDING, FAILED, ENROLLED, UNENROLLED, WAITING FOR ACTION and WAITING FOR PROVIDER","items":{"type":"string"}},"sid":{"type":"array","description":"Site IDs. This field is optional.","items":{"type":"string"}},"rid":{"type":"array","description":"Retailers IDs. This field is optional.","items":{"type":"string"}},"mid":{"type":"array","description":"Merchants IDs. This field is optional","items":{"type":"string"}},"date_to":{"type":"string","description":"this filter will be applied to request_date. This field is optional"},"date_from":{"type":"string","description":"this filter will be applied to request_date. This field is optional"},"size":{"type":"string","description":"Prefered number of result per request. This field is optional"},"offset":{"type":"string","description":"Prefered number of offset per request. This field is optional"},"order":{"type":"string","description":"default value is DESC. This field is optional"},"sort_field":{"type":"string","description":"Determine what field will to apply the order by. This field is optional"}}}},"application/json":{"schema":{"type":"object","properties":{"status":{"type":"array","description":"Descriptor enrollment status. Values can be any of the following PENDING, FAILED, ENROLLED, UNENROLLED, WAITING FOR ACTION and WAITING FOR PROVIDER","items":{"type":"string"}},"sid":{"type":"array","description":"Site IDs. This field is optional.","items":{"type":"string"}},"rid":{"type":"array","description":"Retailers IDs. This field is optional.","items":{"type":"string"}},"mid":{"type":"array","description":"Merchants IDs. This field is optional","items":{"type":"string"}},"date_to":{"type":"string","description":"this filter will be applied to request_date. This field is optional"},"date_from":{"type":"string","description":"this filter will be applied to request_date. This field is optional"},"size":{"type":"string","description":"Prefered number of result per request. This field is required"},"offset":{"type":"string","description":"Prefered number of offset per request. This field is required"},"order":{"type":"string","description":"default value is DESC. This field is optional"},"sort_field":{"type":"string","description":"Determine what field will to apply the order by. This field is optional"}}}}}},"responses":{"200":{"description":"Successfully returned enrollment request id","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AlertDescriptorEnrollmentsList"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payshield.ai/txalerts-dispute-alerts/api-endpoints/descriptor-enrollment-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
